﻿Imports Infragistics.Win.UltraWinGrid
Imports Infragistics.Win.Printing

Public Class Form1

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        Infragistics.Win.AppStyling.StyleManager.Load("DesertLight.isl")

    End Sub

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Me.CustomersTableAdapter1.Fill(NWINDDataSet.Customers)
    End Sub


    Private Sub UltraButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UltraButton1.Click
        Dim ug_SnapShot As UltraGridPrintDocument = New UltraGridPrintDocument
        Dim ug_PPDialog As UltraPrintPreviewDialog = New UltraPrintPreviewDialog

        With ug_SnapShot
            .Grid = UltraGrid1
            .FitWidthToPages = 1
            .DefaultPageSettings.Landscape = True
            .DefaultPageSettings.Margins.Left = 50
            .DefaultPageSettings.Margins.Right = 50
            .DefaultPageSettings.Margins.Top = 30
            .DefaultPageSettings.Margins.Bottom = 40

            .Header.TextCenter = "Commission SnapShot"
            .Header.Appearance.FontData.SizeInPoints = 14.0F
            .Footer.TextCenter = "- Page <#> -" + Environment.NewLine + DateTime.Now.ToString()
        End With

        ug_PPDialog.Document = ug_SnapShot
        ug_PPDialog.ShowDialog()

    End Sub
End Class
